Guild Upgrades is VERY unstable when it comes for prerequisites! — Guild Wars 2 Forums

Guild Upgrades is VERY unstable when it comes for prerequisites!

Nokomis.5076Nokomis.5076 Member ✭✭✭
edited May 1, 2018 in API Development

Example:
https://api.guildwars2.com/v2/guild/upgrades/38

Now refresh that in your browser a few times with CTRL+F5. You will see, that the prerequisites change without reason! Very visible on the first entry, where 350 appears and disappears.

I spend 30mins trying to figure out why my program doesn't aggregate the data correctly for different languages...

Edit:
Where it might be seen much better: Download the URL https://api.guildwars2.com/v2/guild/upgrades?ids=all several times and compare the filesizes

Edit2:
Downloaded the ids=all URL 100 times with wget. I got 27 different filesizes (in byte)

Was I able to help you or give you a hint? Click on Helpful and/or Thumbs up, I would appreciate it alot!
When you encounter a bug ingame, at first you should file a ticket via the ingame command /bug, as only this way the devs will know exactly where you were, when the bug happened.

©2010–2018 ArenaNet, LLC. All rights reserved. Guild Wars, Guild Wars 2, Heart of Thorns, Guild Wars 2: Path of Fire, ArenaNet, NCSOFT, the Interlocking NC Logo, and all associated logos and designs are trademarks or registered trademarks of NCSOFT Corporation. All other trademarks are the property of their respective owners.